package sk.upjs.js;

import java.util.List;

import org.springframework.jdbc.core.simple.ParameterizedBeanPropertyRowMapper;
import org.springframework.jdbc.core.simple.SimpleJdbcTemplate;

import com.mysql.jdbc.jdbc2.optional.MysqlDataSource;

public class SpringTest {
	public static void main(String[] args) {
		MysqlDataSource dataSource = new MysqlDataSource();
		dataSource.setServerName("158.197.31.35");
		dataSource.setDatabaseName("js");
		dataSource.setUser("js");
		dataSource.setPassword("js");
		dataSource.setPort(80);
		
		SimpleJdbcTemplate jdbcTemplate = new SimpleJdbcTemplate(dataSource);
		jdbcTemplate.update("INSERT INTO tabulka VALUES(NULL, 'ja')");
		int pocetRiadkov = jdbcTemplate.queryForInt("SELECT COUNT(*) FROM tabulka");
		System.out.println(pocetRiadkov);
		
		ParameterizedBeanPropertyRowMapper<Student> mapper = ParameterizedBeanPropertyRowMapper.newInstance(Student.class);
		
		
		List<Student> studenti = jdbcTemplate.query("SELECT * FROM student", mapper);
		for (Student student : studenti) {
			System.out.println(student.getId() + " " + student.getMeno() + " " + student.getPriezvisko());
		}
		
	
		List<Student> studenti2 = jdbcTemplate.query("SELECT * FROM student WHERE meno = ?", mapper, "Fero");
		for (Student student : studenti2) {
			System.out.println(student.getId() + " " + student.getMeno() + " " + student.getPriezvisko());
		}
	}
}
